> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailofly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Contact Property

> Retrieve a custom contact property definition by its ID.

Retrieve configuration details for an existing contact property.

### Path Parameters

<ParamField path="id" type="string" required>
  The unique identifier of the contact property.
</ParamField>

### Response

<ResponseField name="data" type="object">
  <ResponseField name="id" type="string">The property ID.</ResponseField>
  <ResponseField name="name" type="string">The property field key name.</ResponseField>
  <ResponseField name="type" type="string">Data type (`string`, `number`, `boolean`, `date`).</ResponseField>
  <ResponseField name="label" type="string">Display label.</ResponseField>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET https://api.mailofly.com/api/v1/contact-properties/prop_123 \
    -H "Authorization: Bearer mf_live_your_api_key"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "data": {
      "id": "prop_123",
      "name": "plan_tier",
      "type": "string",
      "label": "Plan Tier"
    }
  }
  ```
</ResponseExample>


## Related topics

- [List Contact Properties](/api/contact-properties/list-contact-properties.md)
- [Delete Contact Property](/api/contact-properties/delete-contact-property.md)
- [Create Contact Property](/api/contact-properties/create-contact-property.md)
- [Update Contact Property](/api/contact-properties/update-contact-property.md)
- [Retrieve Contact](/api/contacts/get-contact.md)
